Loading...
Searching...
No Matches
BALL::AmberEvaluation Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/SCORING/FUNCTIONS/amberEvaluation.h>`

Inheritance diagram for BALL::AmberEvaluation:

## Public Member Functions

| AmberEvaluation () throw ()
| AmberEvaluation (AmberFF &ff) throw ()
| AmberEvaluation (AmberFF &ff, Options &option) throw ()
virtual | ~AmberEvaluation () throw ()
void | setForceField (ForceField &ff) throw ()
void | setOptions (const Options &options) throw ()
ForceField & | getForceField () throw ()
const ForceField & | getForceField () const throw ()
Options & | getOptions () throw ()
const Options & | getOptions () const throw ()
Public Member Functions inherited from BALL::ForceFieldEvaluation
| ForceFieldEvaluation () throw ()
| Default constructor.
| ForceFieldEvaluation (ForceField &ff) throw ()
virtual | ~ForceFieldEvaluation () throw ()
void | setForceField (ForceField &ff) throw ()
void | setOptions (const Options &options) throw ()
ForceField & | getForceField () throw ()
const ForceField & | getForceField () const throw ()
Options & | getOptions () throw ()
const Options & | getOptions () const throw ()
virtual std::vector< ConformationSet::Conformation > | operator() (ConformationSet &conformations)
Public Member Functions inherited from BALL::EnergeticEvaluation
| EnergeticEvaluation () throw ()
virtual | ~EnergeticEvaluation () throw ()

## Additional Inherited Members

Protected Attributes inherited from BALL::ForceFieldEvaluation
ForceField * | ff_
Options | options_
bool | delete_force_field_

## Detailed Description

A class for energetic evaluators of docking results using an AMBER force field as scoring function.

Definition at line 26 of file amberEvaluation.h.

## Constructor & Destructor Documentation

## AmberEvaluation() [1/3]

BALL::AmberEvaluation::AmberEvaluation | ( |  | ) |
throw | ( | ) |  |  |

## AmberEvaluation() [2/3]

BALL::AmberEvaluation::AmberEvaluation | ( | AmberFF & | ff | ) |
throw | ( | ) |  |  |

## AmberEvaluation() [3/3]

BALL::AmberEvaluation::AmberEvaluation | ( | AmberFF & | ff,
|  | Options & | option )
throw | ( | ) |  |  |

## ~AmberEvaluation()

virtual BALL::AmberEvaluation::~AmberEvaluation | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## getForceField() [1/2]

ForceField & BALL::AmberEvaluation::getForceField | ( |  | ) |
throw | ( | ) |  |  |

## getForceField() [2/2]

const ForceField & BALL::AmberEvaluation::getForceField | ( |  | ) | const
throw | ( | ) |  |  |

## getOptions() [1/2]

Options & BALL::AmberEvaluation::getOptions | ( |  | ) |
throw | ( | ) |  |  |

## getOptions() [2/2]

const Options & BALL::AmberEvaluation::getOptions | ( |  | ) | const
throw | ( | ) |  |  |

## setForceField()

void BALL::AmberEvaluation::setForceField | ( | ForceField & | ff | ) |
throw | ( | ) |  |  |

Operations

## setOptions()

void BALL::AmberEvaluation::setOptions | ( | const Options & | options | ) |
throw | ( | ) |  |  |